#
# spec file for package ghc-unliftio-core
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name unliftio-core
Name:           ghc-%{pkg_name}
Version:        0.2.0.1
Release:        150500.1.1
Summary:        The MonadUnliftIO typeclass for unlifting monads to IO
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/2.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
ExcludeArch:    %{ix86}

%description
Please see the documentation and README at
<https://www.stackage.org/package/unliftio-core>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Wed Aug  4 2021 psimons@suse.com
- Update unliftio-core to version 0.2.0.1 revision 2.
  Upstream has revised the Cabal build instructions on Hackage.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Mon Aug 31 2020 psimons@suse.com
- Update unliftio-core to version 0.2.0.1 revision 1.
  Upstream has revised the Cabal build instructions on Hackage.
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun 16 2020 psimons@suse.com
- Re-generate file with latest version of spec-cleaner.
* Wed May  6 2020 psimons@suse.com
- Update unliftio-core to version 0.2.0.1.
  [#] ChangeLog for unliftio-core
  [#]# 0.2.0.1
  * Remove faulty default implementation of `withRunInIO` [#56](https://github.com/fpco/unliftio/issues/56)
  [#]# 0.2.0.0
  * Move `askUnliftIO` out of class [#55](https://github.com/fpco/unliftio/issues/55)
* Fri Nov  8 2019 psimons@suse.com
- Drop obsolete group attributes.
* Tue Jun 11 2019 psimons@suse.com
- Update Cabal file for more accurate build dependencies.
* Fri Oct 19 2018 psimons@suse.com
- Update Cabal build instructions to support ghc-8.6.1.
* Thu Aug 30 2018 psimons@suse.com
- Update unliftio-core to version 0.1.2.0.
  [#]# 0.1.2.0
  * Add `wrappedWithRunInIO`.
* Mon May 14 2018 psimons@suse.com
- Add unliftio-core at version 0.1.1.0.
